Bug 68316 - postgresql fails to format pre-eoch dates
postgresql fails to format pre-eoch dates
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: postgresql (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
https://bugzilla.redhat.com/bugzilla/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-08 22:31 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-08 22:31:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-08 22:31:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
This bug is identical to 7.3's bug # 65227, which was triggered by glibc 2.2.5's
ISO-compliance idiocy w.r.t. mktime.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. set up postgresql/postmaster, and start service...
2. enter sql monitor 'psql'
3. run the query: 
	select '6/6/1966'::date::timestamp;

Actual Results:  Query fails with error:

ERROR:  Unable to convert date to tm

Expected Results:  Should return one row:
        ?column?        
------------------------
 1966-06-06 00:00:00-04
(1 row)


Additional info:

This is a show-stopper, it breaks our systems which handle employee birth dates.
Comment 1 Trond Eivind Glomsrxd 2002-07-09 10:50:34 EDT
foo=# select '6/6/1966'::date;
    date
------------
 1966-06-06
(1 row)

TZ information before 1970 is not supported by the standardard.

Note You need to log in before you can comment on or make changes to this bug.